Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class EntityHome

    java.lang.Object
      com.beasys.commerce.foundation.EntityHome

All Implemented Interfaces
  SmartEJBHome, SmartHome, Remote, javax.ejb.EJBHome

Deprecated

    @Deprecated
    public abstract class EntityHome

extends Object
implements SmartEJBHome

This is the abstract base class that all entity homes must extend.

See Also
  `Entity`, `EntityImpl`

Constructor Summary
`EntityHome()` Deprecated

Method Summary
`javax.ejb.EJBMetaData` | `getEJBMetaData()` Deprecated Implements EjbHome.getEJBMetaData().
`void` | `remove(javax.ejb.Handle arg1)` Deprecated Implements EjbHome.remove().
`void` | `remove(Object arg1)` Deprecated Implements EjbHome.remove().

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.EJBHome
`getHomeHandle`

Constructor Detail

### EntityHome

    public EntityHome()

  Deprecated

Method Detail

### getEJBMetaData

    public javax.ejb.EJBMetaData getEJBMetaData()
                                         throws RemoteException

  Deprecated
  Implements EjbHome.getEJBMetaData().

  Specified by:
    `getEJBMetaData` in interface `javax.ejb.EJBHome`
  Throws
    `RemoteException`

### remove

    public void remove(Object arg1)
                throws RemoteException,
                       javax.ejb.RemoveException

  Deprecated
  Implements EjbHome.remove().

  Specified by:
    `remove` in interface `javax.ejb.EJBHome`
  Throws
    `RemoteException`
    `javax.ejb.RemoveException`

### remove

    public void remove(javax.ejb.Handle arg1)
                throws RemoteException,
                       javax.ejb.RemoveException

  Deprecated
  Implements EjbHome.remove().

  Specified by:
    `remove` in interface `javax.ejb.EJBHome`
  Throws
    `RemoteException`
    `javax.ejb.RemoveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.